//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace PNG.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class State
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public State()
        {
            this.Zipcodes = new HashSet<Zipcode>();
        }
    
        public string applicationid { get; set; }
        public string enterpriseid { get; set; }
        public string country { get; set; }
        public string state_code { get; set; }
        public string state_name { get; set; }
        public Nullable<int> hc_return_within_days { get; set; }
    
        public virtual Enterprise Enterprise { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Zipcode> Zipcodes { get; set; }
    }
}
